/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.vorgang.grpc;

import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangHeaderTestFactory.*;
import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory.*;

import de.ozgcloud.vorgang.vorgang.GrpcVorgangHeader;

public class GrpcVorgangHeaderTestFactory {

	public static GrpcVorgangHeader create() {
		return createBuilder().build();
	}

	public static GrpcVorgangHeader.Builder createBuilder() {
		return GrpcVorgangHeader.newBuilder()
				.setId(ID.toString())
				.setVersion(VERSION)
				.setStatus(STATUS_STR)
				.setName(VORGANG_NAME)
				.setCreatedAt(CREATED_AT_STR)
				.setAktenzeichen(AKTENZEICHEN)
				.setAssignedTo(USER_ID_STR)
				.setNummer(VORGANG_NUMMER);
	}
}
